{#
/**
 * @file
 * Default view template to display all the fields in a row.
 *
 * Available variables:
 * - view: The view in use.
 * - fields: A list of fields, each one contains:
 *   - content: The output of the field.
 *   - raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - class: The safe class ID to use.
 *   - handler: The Views field handler controlling this field.
 *   - inline: Whether or not the field should be inline.
 *   - wrapper_element: An HTML element for a wrapper.
 *   - wrapper_attributes: List of attributes for wrapper element.
 *   - separator: An optional separator that may appear before a field.
 *   - label: The field's label text.
 *   - label_element: An HTML element for a label wrapper.
 *   - label_attributes: List of attributes for label wrapper.
 *   - label_suffix: Colon after the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 *   - has_label_colon: A boolean indicating whether to display a colon after
 *     the label.
 *   - element_type: An HTML element for the field content.
 *   - element_attributes: List of attributes for HTML element for field content.
 * - row: The raw result from the query, with all data it fetched.
 *
 * @see template_preprocess_views_view_fields()
 *
 * @ingroup themeable
 */
#}
<div class="page_doc_prev"></div>
<div class="page-resources-card">
  <div class="row page-resources-header">
    <div class="col-3">
        {% if fields.field_document.content is not empty %}
        <div class="resources-doc-thumb">
          {{ fields.field_document.content }}
        </div>
        {% endif %}
        {% if fields.field_reference_link.content is not empty and fields.field_reference_link.content !="" %}
          <div class="btn btn-sm btn-light doc-ext-link">
            <a href="{{ fields.field_reference_link.content }}" target="_blank">
              <i class="fas fa-link"></i> 
            </a>
          </div>              
        {% endif %}                        
    </div>
    <div class="col-9">
        {% if fields.field_document.content is not empty %}
            <a href="{{ fields.field_document.content }}" target="_blank">{{ fields.title.content }}</a>
        {% else %}
            {% if fields.field_reference_link.content is not empty and fields.field_reference_link.content !="" %}
              <a href="{{ fields.field_reference_link.content }}" target="_blank">{{ fields.title.content }}</a>
            {% else %}
              <div class="padding_a">{{ fields.title.content }}</div>
            {% endif %}
        {% endif %}
        <div class="col-12">
          {{ fields.field_document_publication_year.content }} 
          {% if fields.field_document_type.content is not empty%}
          <br> {{ fields.field_document_type.content }}
          {% endif %}
        </div>
        <div class="col-12">
          {{ fields.field_ac_region.content }} 
          {% if fields.field_ac_country.content is not empty%}
           {{ fields.field_ac_country.content }} 
          {% endif %}
          {% if fields.field_pa_wdpa_id.content is not empty%}
           WDPAID: <code class="btn btn-sm btn-light page-wdpaid">
          {{ fields.field_pa_wdpa_id.content }} </code>
          {% endif %}
        </div>            
    </div>
  </div>
  <div class="row page-resources-body">
    <div class="col-12"></div>
  </div>
  <div class="row page-resources-footer">
    <div class="col-12">{{ fields.edit_node.content }}</div>
  </div>

</div>

